Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMapper Class Reference

`#include <vtkImageMapper.h>`

Inheritance diagram for vtkImageMapper:

[legend]
Collaboration diagram for vtkImageMapper:

[legend]
List of all members.

## Detailed Description

2D image display

Date:
  2002/05/28 03:33:50

Revision:
  1.31

vtkImageMapper provides 2D image display support for vtk. It is a Mapper2D subclass that can be associated with an Actor2D and placed within a RenderWindow or ImageWindow.

See also:
  vtkMapper2D vtkActor2D

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (55%)
  - Biddiscombe, John (22%)
  - Yamrom, Boris (10%)
  - Law, Charles (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkImageMapper.h)`
  - .`cxx` (`/Rendering/vtkImageMapper.cxx)`

Tests:
  vtkImageMapper (Tests)

Definition at line 56 of file vtkImageMapper.h.

## Public Types
typedef vtkMapper2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long int | GetMTime ()
void | RenderStart (vtkViewport *viewport, vtkActor2D *actor)
virtual void | RenderData (vtkViewport *, vtkImageData *, vtkActor2D *)=0
virtual void | SetColorWindow (float)
virtual float | GetColorWindow ()
virtual void | SetColorLevel (float)
virtual float | GetColorLevel ()
virtual void | SetZSlice (int)
virtual int | GetZSlice ()
int | GetWholeZMin ()
int | GetWholeZMax ()
float | GetColorShift ()
float | GetColorScale ()
virtual void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
virtual void | SetRenderToRectangle (int)
virtual int | GetRenderToRectangle ()
virtual void | RenderToRectangleOn ()
virtual void | RenderToRectangleOff ()
virtual void | SetUseCustomExtents (int)
virtual int | GetUseCustomExtents ()
virtual void | UseCustomExtentsOn ()
virtual void | UseCustomExtentsOff ()
virtual void | SetCustomDisplayExtents (int data[])
virtual int * | GetCustomDisplayExtents ()
virtual void | GetCustomDisplayExtents (int data[4])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageMapper * | SafeDownCast (vtkObject *o)
vtkImageMapper * | New ()
## Public Attributes
int | DisplayExtent [6]
## Protected Methods
| vtkImageMapper ()
| ~vtkImageMapper ()
## Protected Attributes
float | ColorWindow
float | ColorLevel
int | PositionAdjustment [2]
int | ZSlice
int | UseCustomExtents
int | CustomDisplayExtents [4]
int | RenderToRectangle

## Member Typedef Documentation

typedef vtkMapper2D vtkImageMapper::Superclass

| Reimplemented from vtkMapper2D. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper. Definition at line 59 of file vtkImageMapper.h.

## Constructor & Destructor Documentation

vtkImageMapper::vtkImageMapper | ( |  | ) | `[protected]`

vtkImageMapper::~vtkImageMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImageMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMapper2D. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

int vtkImageMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper2D. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

virtual int vtkImageMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper2D. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

vtkImageMapper* vtkImageMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMapper2D. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

vtkImageMapper* vtkImageMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

void vtkImageMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMapper2D. Reimplemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

unsigned long int vtkImageMapper::GetMTime | ( |  | ) | `[virtual]`

| Override Modifiedtime as we have added a lookuptable Reimplemented from vtkAbstractMapper. Reimplemented in vtkWin32ImageMapper.

virtual void vtkImageMapper::SetColorWindow | ( | float |  | ) | `[virtual]`

| Set/Get the window value for window/level

virtual float vtkImageMapper::GetColorWindow | ( |  | ) | `[virtual]`

| Set/Get the window value for window/level

virtual void vtkImageMapper::SetColorLevel | ( | float |  | ) | `[virtual]`

| Set/Get the level value for window/level

virtual float vtkImageMapper::GetColorLevel | ( |  | ) | `[virtual]`

| Set/Get the level value for window/level

virtual void vtkImageMapper::SetZSlice | ( | int |  | ) | `[virtual]`

| Set/Get the current slice number. The axis Z in ZSlice does not necessarily have any relation to the z axis of the data on disk. It is simply the axis orthogonal to the x,y, display plane. GetWholeZMax and Min are convenience methods for obtaining the number of slices that can be displayed. Again the number of slices is in reference to the display z axis, which is not necessarily the z axis on disk. (due to reformatting etc)

virtual int vtkImageMapper::GetZSlice | ( |  | ) | `[virtual]`

| Set/Get the current slice number. The axis Z in ZSlice does not necessarily have any relation to the z axis of the data on disk. It is simply the axis orthogonal to the x,y, display plane. GetWholeZMax and Min are convenience methods for obtaining the number of slices that can be displayed. Again the number of slices is in reference to the display z axis, which is not necessarily the z axis on disk. (due to reformatting etc)

int vtkImageMapper::GetWholeZMin | ( |  | ) |

| Set/Get the current slice number. The axis Z in ZSlice does not necessarily have any relation to the z axis of the data on disk. It is simply the axis orthogonal to the x,y, display plane. GetWholeZMax and Min are convenience methods for obtaining the number of slices that can be displayed. Again the number of slices is in reference to the display z axis, which is not necessarily the z axis on disk. (due to reformatting etc)

int vtkImageMapper::GetWholeZMax | ( |  | ) |

| Set/Get the current slice number. The axis Z in ZSlice does not necessarily have any relation to the z axis of the data on disk. It is simply the axis orthogonal to the x,y, display plane. GetWholeZMax and Min are convenience methods for obtaining the number of slices that can be displayed. Again the number of slices is in reference to the display z axis, which is not necessarily the z axis on disk. (due to reformatting etc)

void vtkImageMapper::RenderStart | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) |

| Draw the image to the screen. Referenced by vtkMesaImageMapper::RenderOpaqueGeometry(), vtkWin32ImageMapper::RenderOverlay(), and vtkOpenGLImageMapper::RenderOverlay().

virtual void vtkImageMapper::RenderData | ( | vtkViewport * | ,
|  | vtkImageData * | ,
|  | vtkActor2D * |
| ) | `[pure virtual]`

| Function called by Render to actually draw the image to to the screen Implemented in vtkMesaImageMapper, vtkOpenGLImageMapper, and vtkWin32ImageMapper.

float vtkImageMapper::GetColorShift | ( |  | ) |

| Methods used internally for performing the Window/Level mapping.

float vtkImageMapper::GetColorScale | ( |  | ) |

| Methods used internally for performing the Window/Level mapping.

virtual void vtkImageMapper::SetInput | ( | vtkImageData * | input | ) | `[virtual]`

| Set the Input of a filter.

vtkImageData* vtkImageMapper::GetInput | ( |  | ) |

| Set the Input of a filter.

virtual void vtkImageMapper::SetRenderToRectangle | ( | int |  | ) | `[virtual]`

| If RenderToRectangle is set (by default not), then the imagemapper will render the image into the rectangle supplied by the Actor2D's PositionCoordinate and Position2Coordinate

virtual int vtkImageMapper::GetRenderToRectangle | ( |  | ) | `[virtual]`

| If RenderToRectangle is set (by default not), then the imagemapper will render the image into the rectangle supplied by the Actor2D's PositionCoordinate and Position2Coordinate

virtual void vtkImageMapper::RenderToRectangleOn | ( |  | ) | `[virtual]`

| If RenderToRectangle is set (by default not), then the imagemapper will render the image into the rectangle supplied by the Actor2D's PositionCoordinate and Position2Coordinate

virtual void vtkImageMapper::RenderToRectangleOff | ( |  | ) | `[virtual]`

| If RenderToRectangle is set (by default not), then the imagemapper will render the image into the rectangle supplied by the Actor2D's PositionCoordinate and Position2Coordinate

virtual void vtkImageMapper::SetUseCustomExtents | ( | int |  | ) | `[virtual]`

| Usually, the entire image is displayed, if UseCustomExtents is set (by default not), then the region supplied in the CustomDisplayExtents is used in preference. Note that the Custom extents are x,y only and the zslice is still applied

virtual int vtkImageMapper::GetUseCustomExtents | ( |  | ) | `[virtual]`

| Usually, the entire image is displayed, if UseCustomExtents is set (by default not), then the region supplied in the CustomDisplayExtents is used in preference. Note that the Custom extents are x,y only and the zslice is still applied

virtual void vtkImageMapper::UseCustomExtentsOn | ( |  | ) | `[virtual]`

| Usually, the entire image is displayed, if UseCustomExtents is set (by default not), then the region supplied in the CustomDisplayExtents is used in preference. Note that the Custom extents are x,y only and the zslice is still applied

virtual void vtkImageMapper::UseCustomExtentsOff | ( |  | ) | `[virtual]`

| Usually, the entire image is displayed, if UseCustomExtents is set (by default not), then the region supplied in the CustomDisplayExtents is used in preference. Note that the Custom extents are x,y only and the zslice is still applied

virtual void vtkImageMapper::SetCustomDisplayExtents | ( | int | data[] | ) | `[virtual]`

| The image extents which should be displayed with UseCustomExtents Note that the Custom extents are x,y only and the zslice is still applied

virtual int* vtkImageMapper::GetCustomDisplayExtents | ( |  | ) | `[virtual]`

| The image extents which should be displayed with UseCustomExtents Note that the Custom extents are x,y only and the zslice is still applied

virtual void vtkImageMapper::GetCustomDisplayExtents | ( | int | data[4] | ) | `[virtual]`

| The image extents which should be displayed with UseCustomExtents Note that the Custom extents are x,y only and the zslice is still applied

## Member Data Documentation

int vtkImageMapper::DisplayExtent[6]

| Definition at line 105 of file vtkImageMapper.h.

float vtkImageMapper::ColorWindow`[protected]`

| Definition at line 144 of file vtkImageMapper.h.

float vtkImageMapper::ColorLevel`[protected]`

| Definition at line 145 of file vtkImageMapper.h.

int vtkImageMapper::PositionAdjustment[2]`[protected]`

| Definition at line 147 of file vtkImageMapper.h.

int vtkImageMapper::ZSlice`[protected]`

| Definition at line 148 of file vtkImageMapper.h.

int vtkImageMapper::UseCustomExtents`[protected]`

| Definition at line 149 of file vtkImageMapper.h.

int vtkImageMapper::CustomDisplayExtents[4]`[protected]`

| Definition at line 150 of file vtkImageMapper.h.

int vtkImageMapper::RenderToRectangle`[protected]`

| Definition at line 151 of file vtkImageMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkImageMapper.h